package models

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ TaskAiSubModel = (*customTaskAiSubModel)(nil)

type (
	// TaskAiSubModel is an interface to be customized, add more methods here,
	// and implement the added methods in customTaskAiSubModel.
	TaskAiSubModel interface {
		taskAiSubModel
		withSession(session sqlx.Session) TaskAiSubModel
	}

	customTaskAiSubModel struct {
		*defaultTaskAiSubModel
	}
)

// NewTaskAiSubModel returns a model for the database table.
func NewTaskAiSubModel(conn sqlx.SqlConn) TaskAiSubModel {
	return &customTaskAiSubModel{
		defaultTaskAiSubModel: newTaskAiSubModel(conn),
	}
}

func (m *customTaskAiSubModel) withSession(session sqlx.Session) TaskAiSubModel {
	return NewTaskAiSubModel(sqlx.NewSqlConnFromSession(session))
}
